Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.tasks
Class ViewTasksModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.tasks.TasksModel
              portlets.compoze.groupware.model.tasks.ViewTasksModel

All Implemented Interfaces:
  java.io.Serializable

public class ViewTasksModel
extends TasksModel
implements java.io.Serializable

This class represents the data model for the tasks view (`view_tasks.jsp`).

See Also:
  Serialized Form

Field Summary
`static int` | `QUICK_VIEW_ALL`
`static int` | `QUICK_VIEW_COMPLETED`
`static int` | `QUICK_VIEW_NOT_COMPLETED`
`static int` | `QUICK_VIEW_OVERDUE`

Constructor Summary
`ViewTasksModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, TasksPreferences tasksPrefs, Accounts accounts)` Constructor.

Method Summary
`Pagination` | `getPagination()` Gets the pagination.
`int` | `getQuickView()` Gets the quick view.
`SortProperty` | `getSortProperty()` Gets the sort property.
`Task[]` | `getTasks()` Gets the tasks.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setQuickView(int iQuickView)` Sets the quick view.
`void` | `setSortProperty(SortProperty sortProperty)` Sets the sort property.
`void` | `setTasks(Task[] tasks)` Sets the tasks.

Methods inherited from class portlets.compoze.groupware.model.tasks.TasksModel
`getTasksPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUICK_VIEW_ALL

    public static final int QUICK_VIEW_ALL

See Also:
  Constant Field Values

### QUICK_VIEW_COMPLETED

    public static final int QUICK_VIEW_COMPLETED

See Also:
  Constant Field Values

### QUICK_VIEW_NOT_COMPLETED

    public static final int QUICK_VIEW_NOT_COMPLETED

See Also:
  Constant Field Values

### QUICK_VIEW_OVERDUE

    public static final int QUICK_VIEW_OVERDUE

See Also:
  Constant Field Values

Constructor Detail

### ViewTasksModel

    public ViewTasksModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                          FeatureGroup featureGroup,
                          GroupwarePreferences groupwarePrefs,
                          TasksPreferences tasksPrefs,
                          Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `tasksPrefs` - the tasks preferences (may not be `null`)

Method Detail

### setQuickView

    public void setQuickView(int iQuickView)

  Sets the quick view.

  Parameters:
    `iQuickView` - the the quick view (see `QUICK_VIEW_` constants)

### getQuickView

    public int getQuickView()

  Gets the quick view.

  Returns:
    the the quick view (see `QUICK_VIEW_` constants)

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination (may not be `null`)

### getSortProperty

    public SortProperty getSortProperty()

  Gets the sort property.

  Returns:
    the sort property

### setSortProperty

    public void setSortProperty(SortProperty sortProperty)

  Sets the sort property.

  Parameters:
    `sortProperty` - the sort property (may not be `null`)

### setTasks

    public void setTasks(Task[] tasks)

  Sets the tasks.

  Parameters:
    `tasks` - an array of tasks (may not be `null`)

### getTasks

    public Task[] getTasks()

  Gets the tasks.

  Returns:
    an array of tasks or an empty array for none

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.